Subject: Re: [PATCH] powerpc: Implement GPIO LIB API on CPM2 Freescale SoC.

From: Jochen Friedrich <[email-masked]>
Date: Thu, 17 Apr 2008 13:21:45 +0200

Hi Laurent,

>> http://patchwork.ozlabs.org/linuxppc/patch?id=16282
> 
> The link doesn't seem to be related.

http://patchwork.ozlabs.org/linuxppc/patch?id=17490 is the correct one. 

> I'll rework the patch to move CPM2 GPIO support to cpm_common.c. Have you 
> thought about a proper name for the compatible property ?

I would leave cpm_init_par_io() in cpm2.c and just move the other parts.
- for cpm2, the property fsl,cpm2-pario-bank is correct.
- for cpm1, i'm thinking of something like fsl,cpm1-pario-bank32b and fsl,cpm1-pario-bank32e.

I'll update the CPM1 parts on top of your patch...

Thanks,
Jochen